import { getToken, setToken, removeToken } from '@/utils/auth'
import {Login} from '../../api/index'
// 村赤用户令牌和角色信息
const state ={
    token: getToken(),
    roles: [] //角色
}

const mutations ={
    SET_TOKEN: (state,token) => {
        state.token = token;
    },
    SET_ROLES: (state,roles) => {
        state.roles = roles;
    }
};

const actions = {
    // 用户登录
    login({ commit }, userInfo) {
        const { user } = userInfo;
        console.log('111111',userInfo);
        const params = {
          password:user.password,
          user_name:user.username,
          code:'',
          uuid:'',
        }
        return new Promise((resolve,reject) => {
          // Login(params).then((response) =>{
            console.log('responseresponse1111',params);
            
          //   // sessionStorage.setItem('username',userInfo.account)
          //   // sessionStorage.setItem('password',userInfo.password)
          //   // const is_admin = response.data.admin.is_admin
          //   // const role_type = response.data.admin.role_type
          //   // const use_name = response.data.admin.name
          //   // sessionStorage.setItem('use_name',use_name)
          //   // console.log('2222222',response.data);
          //   // commit('SET_USE_NAME',use_name)
          //   // commit('SET_TOKEN',is_admin);
          //   // setToken(is_admin)
          //   resolve()
          // }).catch(error => {
          //     reject(error)
          // })
            Login(params).then((res) =>{
              console.log('1111122222',res);
              const usename = res.data.user_name
              setToken(usename)
              resolve()
            }).catch(error => {
              reject(error)
            })
            // setTimeout(() => {
            //     if(username === 'admin' || username === 'jerry'){
            //         // 保存状态
            //         commit('SET_TOKEN',username);
            //         // 写入cookie
            //         setToken(username)
            //         resolve()
            //     }else{
            //         reject('用户名或密码错误')
            //     }
            // },1000)
        })
    },
    // 获取用户角色信息
    getInfo({ commit, state }){
        return new Promise((resolve) => {
            setTimeout(() => {
                const roles = state.token === 'admin' ? ['admin'] : ['jerry']
                commit('SET_ROLES',roles)
                resolve({roles})
            },1000)
        })
    },
    // 重置令牌
    resetToken({ commit }){
        return new Promise(resolve => {
            commit('SET_TOKEN','')
            commit('SET_ROLES',[])
            removeToken();
            resolve()
        })
    }
}

export default {
    namespaced: true,
    state,
    mutations,
    actions
}